## Operations

### get available resources

    GET /apis/extensions/v1beta1

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- application/json

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/horizontalpodautoscalers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscalerList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind Ingress

    GET /apis/extensions/v1beta1/ingress

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.IngressList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind Job

    GET /apis/extensions/v1beta1/jobs

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.JobList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscalerList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### create a HorizontalPodAutoscaler

    POST /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.HorizontalPodAutoscaler |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscaler

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### read the specified HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscaler

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace the specified HorizontalPodAutoscaler

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.HorizontalPodAutoscaler |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscaler

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### delete a HorizontalPodAutoscaler

    DELETE /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | unversioned.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### partially update the specified HorizontalPodAutoscaler

    PATCH /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | unversioned.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscaler

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace status of the specified HorizontalPodAutoscaler

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/horizontalpodautoscalers/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.HorizontalPodAutoscaler |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.HorizontalPodAutoscaler

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind Ingress

    GET /apis/extensions/v1beta1/namespaces/{namespace}/ingress

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.IngressList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### create a Ingress

    POST /apis/extensions/v1beta1/namespaces/{namespace}/ingress

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Ingress |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Ingress

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### read the specified Ingress

    GET /apis/extensions/v1beta1/namespaces/{namespace}/ingress/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Ingress

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace the specified Ingress

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/ingress/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Ingress |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Ingress

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### delete a Ingress

    DELETE /apis/extensions/v1beta1/namespaces/{namespace}/ingress/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | unversioned.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### partially update the specified Ingress

    PATCH /apis/extensions/v1beta1/namespaces/{namespace}/ingress/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | unversioned.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Ingress

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace status of the specified Ingress

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/ingress/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Ingress |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Ingress

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### list or watch objects of kind Job

    GET /apis/extensions/v1beta1/namespaces/{namespace}/jobs

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.JobList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### create a Job

    POST /apis/extensions/v1beta1/namespaces/{namespace}/jobs

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Job |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Job

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### read the specified Job

    GET /apis/extensions/v1beta1/namespaces/{namespace}/jobs/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Job

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace the specified Job

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/jobs/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Job |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Job

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### delete a Job

    DELETE /apis/extensions/v1beta1/namespaces/{namespace}/jobs/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | unversioned.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### partially update the specified Job

    PATCH /apis/extensions/v1beta1/namespaces/{namespace}/jobs/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | unversioned.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Job

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace status of the specified Job

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/jobs/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Job |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Job

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### read scale of the specified Scale

    GET /apis/extensions/v1beta1/namespaces/{namespace}/replicationcontrollers/{name}/scale

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Scale | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Scale

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### replace scale of the specified Scale

    PUT /apis/extensions/v1beta1/namespaces/{namespace}/replicationcontrollers/{name}/scale

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1beta1.Scale |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Scale | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Scale

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### partially update scale of the specified Scale

    PATCH /apis/extensions/v1beta1/namespaces/{namespace}/replicationcontrollers/{name}/scale

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | unversioned.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Scale | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1beta1.Scale

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/watch/horizontalpodautoscalers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of Ingress

    GET /apis/extensions/v1beta1/watch/ingress

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of Job

    GET /apis/extensions/v1beta1/watch/jobs

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/horizontalpodautoscalers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch changes to an object of kind HorizontalPodAutoscaler

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/horizontalpodautoscalers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the HorizontalPodAutoscaler | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of Ingress

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/ingress

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch changes to an object of kind Ingress

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/ingress/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Ingress | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch individual changes to a list of Job

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/jobs

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1

### watch changes to an object of kind Job

    GET /apis/extensions/v1beta1/watch/namespaces/{namespace}/jobs/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string |
QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string |
QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean |
QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Job | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apisextensionsv1beta1